# Variables

# Image à utiliser
IMAGE_NAME = "debian/buster64"
# RAM
MEM = 1024
# Nombre de CPU
CPU = 1
# Nom du master
MASTER_NAME="master"
# Nombre de noeuds
WORKER_NB = 1
# Prefix pour la plage d'adresses IP à utiliser
NODE_NETWORK_BASE = "10.0.0"

# Machines virtuelles

Vagrant.configure("2") do |config|
  config.ssh.insert_key = true

  # Configuration de la RAM et du CPU
  config.vm.provider "virtualbox" do |v|
      v.memory = MEM
      v.cpus = CPU
  end

  # Configuration du Master
  config.vm.define MASTER_NAME do |master|
    master.vm.box = IMAGE_NAME
    master.vm.network "private_network", ip: "#{NODE_NETWORK_BASE}.10"
    master.vm.hostname = MASTER_NAME
  end

  # Configuration du/des Worker(s)
  (1..WORKER_NB).each do |i|
    config.vm.define "worker-#{i}" do |worker|
        worker.vm.box = IMAGE_NAME
        worker.vm.network "private_network", ip: "#{NODE_NETWORK_BASE}.#{i + 10}"
        worker.vm.hostname = "worker-#{i}"
    end
  end
end
